<?php
function taxonomy_menu_two_in_one_admin_form($form, &$form_state){
  $node_type_get_types = node_type_get_types();
  $options = array();
  foreach ($node_type_get_types as $node_type_arr) {
    //print_r($node_type_arr);
    $options[$node_type_arr->type] = $node_type_arr->name;
  }
  $vocabularies = taxonomy_get_vocabularies();
  //print_r($vocabularies);
  $options_vocabularies = array();
  foreach ($vocabularies as $item) {
    $options_vocabularies[$item->vid] = $item->name;
  }

  $instances = field_info_fields();

  $fields_names = array();
  foreach ($instances as $fields_names_entity) {
    //print_r($fields_names_entity);
    if(isset($fields_names_entity['field_name'])) {
      $fields_names[$fields_names_entity['field_name']] = $fields_names_entity['field_name'];
    }
  }


  $menu_get_menus = menu_get_menus();
  $options_menus = array();
  foreach ($menu_get_menus as $machine_menu_name=>$menu_name) {
    $options_menus[$machine_menu_name] = $menu_name;
  }
  //print_r($instances);
  $form['two_in_one_node_type'] = array(
    '#type' => 'select',
    '#title' => t('Node type'),
    '#options' => $options,
    '#default_value' => variable_get('two_in_one_node_type', ''),
  );
  $form['two_in_one_menu_name'] = array(
    '#type' => 'select',
    '#title' => t('Menu name'),
    '#options' => $options_menus,
    '#default_value' => variable_get('two_in_one_menu_name', ''),
  );
  $form['two_in_one_menu_auto_update'] = array(
    '#type' => 'checkbox',
    '#title' => t('Auto update (hook_taxonomy_term_update)'),
    '#default_value' => variable_get('two_in_one_menu_auto_update', ''),
  );
  $form['parrent'] = array(
    '#type' => 'fieldset',
    '#title' => t('Parent Vocabularie'),
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
  );
  $form['child'] = array(
    '#type' => 'fieldset',
    '#title' => t('Parent Vocabularie'),
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
  );
  $form['parrent']['two_in_one_parent_vocabularie'] = array(
    '#type' => 'select',
    '#title' => t('Parent vocabularie name'),
    '#description' => t('! No hierarchy. Only one level'),
    '#options' => $options_vocabularies,
    '#default_value' => variable_get('two_in_one_parent_vocabularie', ''),
  );
  $form['parrent']['two_in_one_parent_vocabularie_field_name'] = array(
    '#type' => 'select',
    '#title' => t('field name Parent Vocabularie'),
    '#description' => t('onli field type taxonomy referense'),
    '#options' => $fields_names,
    '#default_value' => variable_get('two_in_one_parent_vocabularie_field_name', ''),
  );
  $form['child']['two_in_one_child_vocabularie'] = array(
    '#type' => 'select',
    '#title' => t('Child Vocabularie'),
    '#description' => t('max two lavel hierarchy'),
    '#options' => $options_vocabularies,
    '#default_value' => variable_get('two_in_one_child_vocabularie', ''),
  );
  $form['child']['two_in_one_child_vocabularie_field_name'] = array(
    '#type' => 'select',
    '#title' => t('field name child Vocabularie'),
    '#description' => t('onli field type taxonomy referense'),
    '#options' => $fields_names,
    '#default_value' => variable_get('two_in_one_child_vocabularie_field_name', ''),
  );

  return system_settings_form($form);
}

